com.sun.jna.platform.win32

## Class WinDef.HGLRC

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.WinNT.HANDLE
    - - com.sun.jna.platform.win32.WinDef.HGLRC

- All Implemented Interfaces:
    NativeMapped
  Enclosing interface:
    WinDef

      public static class WinDef.HGLRC
      extends WinNT.HANDLE

  handle to an OpenGL rendering context

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinDef.HGLRC()` Instantiates a new HGLRC .
    `WinDef.HGLRC(Pointer p)` Instantiates a new HGLRC .

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.WinNT.HANDLE

      `fromNative, setPointer, toString`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, getPointer, hashCode, nativeType, toNative`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WinDef.HGLRC

          public WinDef.HGLRC()

      Instantiates a new HGLRC .

    - #### WinDef.HGLRC

          public WinDef.HGLRC(Pointer p)

      Instantiates a new HGLRC .
      Parameters:
        `p` - the p

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.